changeset:   2306:1d6fb56e2220
tag:         tip
user:        Patrick Lang <patrick.lang@hotmail.com>
date:        Sun Dec 28 23:53:43 2014 -0800
summary:     [TH-D7AG] Fix max memory name length #2141

diff -r ba5a6976cab0 -r 1d6fb56e2220 chirp/kenwood_live.py
--- a/chirp/kenwood_live.py	Sun Dec 28 16:09:59 2014 -0800
+++ b/chirp/kenwood_live.py	Sun Dec 28 23:53:43 2014 -0800
@@ -489,6 +489,12 @@
     """Kenwood TH-D7G"""
     MODEL = "TH-D7G"
 
+    def get_features(self):
+        rf = super(THD7GRadio,self).get_features()
+        rf.valid_name_length = 8
+        return rf
+
+
 @directory.register
 class TMD700Radio(KenwoodOldLiveRadio):
     """Kenwood TH-D700"""

